  --Maintain PrinterTypes Table   
  DECLARE @LType INT, @Id INT, @Name VARCHAR(30)
  SET @LType = 21
  SET @Name = 'Report'
  IF (SELECT COUNT(*) FROM PrinterTypes WITH (NOLOCK) WHERE PrinterTypeNumber = @LType) = 0
    INSERT INTO PrinterTypes (PrinterTypeNumber, Name) VALUES (@LType, @Name)
  SET @LType = 22
  SET @Name = 'Report Preview'
  IF (SELECT COUNT(*) FROM PrinterTypes WITH (NOLOCK) WHERE PrinterTypeNumber = @LType) = 0
    INSERT INTO PrinterTypes (PrinterTypeNumber, Name) VALUES (@LType, @Name)
 